#!/bin/sh
#
# Author:  Petter Reinholdtsen
# Date:    2004-12-08
# License: GPL
#
# Update web pages directly from CVS.

set -e

PATH=/bin:/usr/bin
PROJECTNAME=spell-norwegian
MODULE=html/homepage
CVSROOT=/cvs/$PROJECTNAME
DOCROOT=/home/groups/$PROJECTNAME

sleep 3
umask 002
cd $DOCROOT
rm -rf htdocs.new
cvs -R -d $CVSROOT export -r HEAD -d htdocs.new $MODULE

chgrp -R $PROJECTNAME htdocs.new

# Move new directory in place before removing the old one, to reduce the
# period where the web pages are missing.
mv htdocs htdocs.old
mv htdocs.new htdocs
rm -rf htdocs.old

exit 0
